package com.adealink.weparty.location.viewmodel

import androidx.lifecycle.LiveData
import com.adealink.frame.base.Rlt
import com.adealink.weparty.location.data.UserCountryInfo
interface ILocationViewModel {

    fun reportLocation(): LiveData<Rlt<String>>

    fun getMyCountryInfo()

    fun getUserCountryInfos(ids: Set<Long>): LiveData<Rlt<Map<Long, UserCountryInfo>>>
}